use `sys-icss`;
-- 周铁钢
-- ----------------------------
-- Table structure for icss_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_dictionary_info`;
CREATE TABLE `icss_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：icss界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='icss字典表';

-- ----------------------------
-- Records of icss_dictionary_info
-- ----------------------------
INSERT INTO `icss_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '主诉现病史', '1', '1', '10', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '其他史', '3', '1', '20', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '查体', '4', '1', '30', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '化验', '5', '1', '40', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '辅检', '6', '1', '50', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '诊断', '7', '1', '60', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '药品', '8', '1', '70', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '药品分类', '9', '1', '80', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多列多选标签（杂音/初为）', '2', '1', '10', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '多项统一横铺标签（血压）', '3', '1', '20', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '症状详细（症状尾巴）', '4', '1', '30', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('12', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '单选含自由填写项', '5', '1', '40', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '组合项标签（既往史）', '6', '1', '50', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '化验组合', '7', '1', '60', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '诊断/药品/辅检标签', '9', '1', '70', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '症状推送类型（添加症状）', '11', '1', '80', '添加组合标签-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '多列多选标签（杂音/初为）', '2', '1', '10', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '多项统一横铺标签（血压）', '3', '1', '20', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '症状详细（症状尾巴）', '4', '1', '30', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('21', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '单选含自由填写项', '5', '1', '40', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '组合项标签（既往史）', '6', '1', '50', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '化验组合', '7', '1', '60', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '诊断/药品/辅检标签', '9', '1', '70', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '主诉', '1', '1', '10', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '现病史', '2', '1', '20', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '其他史', '3', '1', '30', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '查体', '4', '1', '40', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '化验', '5', '1', '50', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '辅检', '6', '1', '60', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '症状推送类型（添加症状）', '11', '1', '80', '组合标签分页过滤-填写单类型');
INSERT INTO `icss_dictionary_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '从左到右，从上到下', '1', '1', '10', '成文顺序');
INSERT INTO `icss_dictionary_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '按点击顺序成文', '0', '1', '20', '成文顺序');
INSERT INTO `icss_dictionary_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '默认值', '0', '1', '10', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '单选', '1', '1', '20', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '多选', '2', '1', '30', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '数字键盘带单位', '5', '1', '40', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '输入框', '6', '1', '50', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '数字键盘', '7', '1', '60', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '联合推送', '99', '1', '80', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '单选含自由填写项', '11', '1', '70', '单标签组件类型');
INSERT INTO `icss_dictionary_info` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '量表', '10', '1', '90', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '核心指标', '11', '1', '100', '标签归属');
INSERT INTO `icss_dictionary_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '诊断', '7', '1', '70', '模板类型归属');
INSERT INTO `icss_dictionary_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '普通病', '0', '1', '10', '诊断类型');
INSERT INTO `icss_dictionary_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '慢病', '1', '1', '20', '诊断类型');
INSERT INTO `icss_dictionary_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '急诊', '2', '1', '30', '诊断类型');
INSERT INTO `icss_dictionary_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '文本模块', '0', '1', '10', '量表结构类型');
INSERT INTO `icss_dictionary_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '推送模块', '1', '1', '20', '量表结构类型');


-- 导入默认的诊断类型
-- ----------------------------
-- Table structure for icss_dis_scale
-- ----------------------------
DROP TABLE IF EXISTS `icss_dis_scale`;
CREATE TABLE `icss_dis_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `dis_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '诊断标签id',
  `scale_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '量表标签id',
  `order_no` smallint(6) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='诊断量表映射表';

-- ----------------------------
-- Table structure for icss_dis_type
-- ----------------------------
DROP TABLE IF EXISTS `icss_dis_type`;
CREATE TABLE `icss_dis_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `dis_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '诊断标签id',
  `parent_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '父级诊断id',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1：慢病，2：急诊',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='诊断类型表';


insert into icss_dis_type(`dis_id`, `type`)
SELECT id,0 FROM `icss_question_info` where type = 7 and is_deleted = 'N';



-- ----------------------------
-- Table structure for icss_scale_content
-- ----------------------------
DROP TABLE IF EXISTS `icss_scale_content`;
CREATE TABLE `icss_scale_content` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `scale_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '量表标签id',
  `content` text COMMENT '内容',
  `type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:文本，1：大数据接口填充',
  `order_no` smallint(6) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='量表内容表';

